$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.30.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.30.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '4FFE410DE6CAF39C0168A82CD4EF48D6A8B4BA88F5C679EAE12438B40A4C00F7'
  checksumType = 'sha256'
  checksum64 = '4FFE410DE6CAF39C0168A82CD4EF48D6A8B4BA88F5C679EAE12438B40A4C00F7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.30-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
